## libsis-jhdf5-java 14.12.1

=== debian/changelog ===
libsis-jhdf5-java (14.12.1-2) unstable; urgency=medium

  * Use /usr/share/java/java_defaults.mk to adapt to correct include options
    for new default-jdk (openjdk-8-jdk)
    Closes: #814875
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 16 Feb 2016 13:31:21 +0100

libsis-jhdf5-java (14.12.1-1) unstable; urgency=medium

  * [ Team upload ]
    First package (Closes: #796390 ).

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 12 Aug 2015 12:15:17 +0100
