=== debian/control ===
Source: libsis-jhdf5-java
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper (>= 9),
               default-jdk,
               javahelper,
               libcommons-lang-java,
               libcommons-io-java,
               libsis-base-java,
               libhdf5-dev (>> 1.8.13),
               junit4,
               testng,
               libjmock2-java
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libsis-jhdf5-java.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libsis-jhdf5-java.git
Homepage: http://svncisd.ethz.ch/repos/cisd/jhdf5/tags/release/14.12.x/14.12.1/jhdf5

Package: libsis-jhdf5-java
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends},
         libsis-jhdf5-jni (>= ${binary:Version}),
         libsis-jhdf5-jni (<< ${source:Version}.1~)
Description: easy-to-use HDF library for Java
 JHDF5 is a Java binding to the HDF Group library for HDF5 focusing on
 ease-of-use, which was developed by CISD and is now maintained by ETH SIS.
 The library uses HDF5 1.8 from the HDF Group and files created with
 JHDF5 are fully compatible with HDF5 1.6/1.8 (as you choose).

Package: libsis-jhdf5-jni
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: native libs used by libsis-jhdf5-java package
 This package is only useful with libsis-jhdf5-java.
