=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CLASSPATH=/usr/share/java/commons-lang.jar:/usr/share/java/commons-io.jar:/usr/share/java/sis-base.jar
export TESTCLASSPATH=/usr/share/java/junit4.jar:/usr/share/java/testng.jar:/usr/share/java/jmock2.jar:/usr/share/java/jcommander.jar

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/java/java_defaults.mk

CPPFLAGS += ${jvm_includes}

%:
	dh $@ --with javahelper

get-orig-source:
	debian/get-orig-source

override_dh_auto_clean:
	rm -rf build *.jar
	rm -rf source/c/*.log
	rm -rf source/c/*.so
	# Stuff generated during testing
	find sourceTest/java -name '*.class' -delete
	cd sourceTest/java && rm -f *.hdf *.h5
	rm -f sourceTest/java/sourceTest/java/test/hdf5lib/h5ex_g_iterate.hdf
	rm -rf test-output targets
	#Things that we'd probably exclude from the orig.tar.gz anyway
	rm -rf jsrc lib ./sourceTest/java/jni

override_dh_auto_build:
	# C build
	cd source/c && \
		$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)  -shared -fPIC -Wl,--exclude-libs,ALL \
		-I/usr/lib/jvm/default-java/include/ -I/usr/include/hdf5/serial \
	       	jhdf5/*.c hdf-java/*.c -o libsis-jhdf5.so -lz -lhdf5_serial
	# Java build - see README.source about the file being removed
	mkdir jsrc ; cp -r source/java/ch source/java/ncsa jsrc
	rm jsrc/ch/systemsx/cisd/hdf5/h5ar/HDF5ArchiverMain.java
	# This line is still needed on Ubuntu 14.04
	jh_build sis-jhdf5.jar jsrc

override_dh_auto_test:
	# Run the tests that come with the upstream source.
	# The contortions with the CLASSPATH are to try and confirm that the MANIFEST is
	# supplying the correct deps automatically - ie. we should not be feeding any
	# extra JARs in order to make the tests pass.
	# The version of testng on trusty does requires us to specifically add jcommander.jar to the
	# CLASSPATH when invoking TestNG.  This seems to be a bug in the testng package.
	# Finally, the tests need to be run in the Zurich timezone.
	export CLASSPATH="sourceTest/java:`readlink -f sis-jhdf5.jar`:$$TESTCLASSPATH" \
	       JNIPATH="`readlink -f source/c`:/usr/lib/jni" \
	       TZ=Europe/Zurich LC_ALL=C ; \
	    find sourceTest/java -name '*.java' | env CLASSPATH="$$CLASSPATH:$(CLASSPATH)" xargs javac && \
	    java -Xmx2048M -Djava.library.path="$$JNIPATH" org.testng.TestNG -verbose 2 sourceTest/java/tests.xml
	# These other tests have 3 failures.  I don't think they are expected to pass.
	#cd sourceTest/java && \
	#ln -s test/hdf5lib/h5ex_g_iterate.hdf . && \
	#java -Xmx2048M -Djava.library.path="$$JNIPATH" org.junit.runner.JUnitCore test.hdf5lib.TestAll
