## libsis-jhdf5-java 14.12.6

=== debian/changelog ===
libsis-jhdf5-java (14.12.6-2) unstable; urgency=medium

  * Add upstream contact
  * Enable d/watch to work with versioned dirs
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * To enable this package at least building to update the dependencies
    of the binary package and make it installable at least, all tests
    that are exposing bug #842815 are deactivated.  RC bug #842815 is
    active anyway so this package will not migrate to testing (and never
    should in this form - workaround will be deactivated in Git once the
    package is uploaded to make sure it will not happen by accident)

 -- Andreas Tille <tille@debian.org>  Sun, 27 May 2018 07:47:25 +0200

libsis-jhdf5-java (14.12.6-1) unstable; urgency=medium

  * New upstream version
    Closes: #842815
  * Fix homepage / download URL
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 14 Nov 2016 14:31:00 +0100
