=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Andreas Tille <tille@debian.org>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                default-jdk,
                javahelper,
                libcommons-lang-java,
@@ -15,10 +15,10 @@
                junit4,
                testng,
                libjmock2-java
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libsis-jhdf5-java.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libsis-jhdf5-java.git
-Homepage: http://svncisd.ethz.ch/repos/cisd/jhdf5/tags/release/14.12.x/14.12.1/jhdf5
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/libsis-jhdf5-java
+Vcs-Git: https://salsa.debian.org/med-team/libsis-jhdf5-java.git
+Homepage: http://svnsis.ethz.ch/repos/cisd/jhdf5/tags/release/14.12.x/14.12.6/jhdf5/
 
 Package: libsis-jhdf5-java
 Architecture: all
