=== debian/watch ===
version=4
http://svnsis.ethz.ch/repos/cisd/jhdf5/tags/release/(\d+\.\d+\.x)/(\d+\.\d+\.\d+) \
   debian debian/get-orig-source
