## libsis-jhdf5-java 19.04.0%2Bdfsg

=== debian/changelog ===
libsis-jhdf5-java (19.04.0+dfsg-4) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Sat, 07 Nov 2020 17:38:49 +0100

libsis-jhdf5-java (19.04.0+dfsg-3) unstable; urgency=medium

  [ Pierre Gruet ]
  * Activating build-time tests again
  * Deleting useless rm in override_dh_auto_clean
  * Solving issues in tests due to misclosed files
  * Forwarding patches

  [ Andreas Tille ]
  * Declare different HDF licenses for source/c/jni and
    source/java/hdf/hdf5lib
    Closes: #973507

 -- Andreas Tille <tille@debian.org>  Sun, 01 Nov 2020 15:13:17 +0100

libsis-jhdf5-java (19.04.0+dfsg-2) unstable; urgency=medium

  [ Pierre Gruet ]
  * Changing the name of the .so file in libsis-jhdf5-jni (Closes: #959955)
  * Providing the executable h5ar and a manpage
  * Adding a test for h5ar to the testsuite
  * Adding final qualifier to some arguments of functions
  * Providing hardening while compiling the jni part
  * Providing tests of the testsuite as examples

  [ Steffen Moeller ]
  * d/control: Added R-R-R:no

  [ Andreas Tille ]
  * Mention source/c/jni/* in d/copyright
  * Make sure build-time test will pass for the moment

 -- Pierre Gruet <pgtdebian@free.fr>  Tue, 12 May 2020 22:37:32 +0200

libsis-jhdf5-java (19.04.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Adapt watch file to upstream Gitlab clone tags
  * Drop now unneeded get-orig-source target
  * Fix homepage
  * Use gradle build system
  * Build-Depends: ant
  * Versioned Build-Depends: libsis-base-java (>= 18.08.0~)
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)

  [ Pierre Gruet ]
  * Refresh patch use_debian_packaged_libs.patch
  * Providing a patch to get around using private header from hdf5
  * Fixing omissions linked to prototypes in source/c/jni/h5util.h
  * Installing the .so file in the -jni package
  * Writing tests in debian/tests
  * Updating dependencies with nocheck
  * Adding a missing library loading in a java file, using a patch
    from Gilles Filippini
  * Rewriting the override of dh_auto_test so that upstream tests run
    and pass
  * Overriding dh_auto_clean
  * Adapting debian/rules to the name of the built jar

 -- Pierre Gruet <pgtdebian@free.fr>  Wed, 06 May 2020 17:36:16 +0200
