=== debian/control ===
Source: libsis-jhdf5-java
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>,
           Pierre Gruet <pgtdebian@free.fr>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               javahelper,
               gradle-debian-helper,
               ant,
               libcommons-lang3-java,
               libcommons-io-java,
               libecj-java,
               libjaxb-java,
               libsis-base-java (>= 18.09~pre1),
               libhdf5-dev,
               libargs4j-java (>= 2.33),
               junit4 <!nocheck>,
               testng <!nocheck>,
               libhamcrest-java,
               libjmock2-java <!nocheck>,
               libobjenesis-java
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/libsis-jhdf5-java
Vcs-Git: https://salsa.debian.org/med-team/libsis-jhdf5-java.git
Homepage: https://sissource.ethz.ch/sispub/jhdf5
Rules-Requires-Root: no

Package: h5ar
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends},
         libsis-jhdf5-jni (>= ${binary:Version}),
         libsis-jhdf5-jni (<< ${source:Version}.1~),
         libargs4j-java,
         jarwrapper
Description: easy-to-use HDF archiver using Java
 h5ar provides an archiver using a Java binding to the HDF Group library for
 HDF5 focusing on ease-of-use, which was developed by CISD and is now
 maintained by ETH SIS.
 The executable uses HDF5 1.8 from the HDF Group and files created with
 h5ar are fully compatible with HDF5 1.6/1.8 (as you choose).

Package: libsis-jhdf5-java
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends},
         libsis-jhdf5-jni (>= ${binary:Version}),
         libsis-jhdf5-jni (<< ${source:Version}.1~),
         libargs4j-java
Description: easy-to-use HDF library for Java
 JHDF5 is a Java binding to the HDF Group library for HDF5 focusing on
 ease-of-use, which was developed by CISD and is now maintained by ETH SIS.
 The library uses HDF5 1.8 from the HDF Group and files created with
 JHDF5 are fully compatible with HDF5 1.6/1.8 (as you choose).

Package: libsis-jhdf5-jni
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: native libs used by libsis-jhdf5-java package
 This package is only useful with libsis-jhdf5-java which is a
 Java binding to the HDF Group library for HDF5 focusing on
 ease-of-use, which was developed by CISD and is now maintained
 by ETH SIS.
 .
 This package provides a native interface for the library.
