=== source/java/hdf/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)
project (HDF5_JAVA_HDF C)

add_subdirectory (hdf5lib)
