=== debian/changelog ===
libsis-jhdf5-java (19.04.1+dfsg-4build3) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 01:24:44 +0100

libsis-jhdf5-java (19.04.1+dfsg-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:16:43 +0000

libsis-jhdf5-java (19.04.1+dfsg-4build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:00:25 +0000

libsis-jhdf5-java (19.04.1+dfsg-4) unstable; urgency=medium

  * Fixing the clean target (Closes: 1046647)
  * Update standards version to 4.6.2, no changes needed.

 -- Pierre Gruet <pgt@debian.org>  Sun, 03 Dec 2023 08:04:07 +0100

libsis-jhdf5-java (19.04.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Depend on libeclipse-jdt-core-java instead of libecj-java

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Feb 2023 13:25:11 +0100

libsis-jhdf5-java (19.04.1+dfsg-2) unstable; urgency=medium

  * Adding a missing directive from removed H5private.h file of hdf5
    (Closes: #1019393, #1020139)

 -- Pierre Gruet <pgt@debian.org>  Mon, 19 Sep 2022 23:13:29 +0200

libsis-jhdf5-java (19.04.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Sat, 30 Jul 2022 14:05:39 +0200

libsis-jhdf5-java (19.04.0+dfsg-5) unstable; urgency=medium

  * Raising Standards version to 4.6.0 (no change)
  * Fixing unnecessary greater-than versions in build-dependencies
  * Providing Bug- and Repository- fields in d/u/metadata

 -- Pierre Gruet <pgt@debian.org>  Fri, 04 Mar 2022 17:51:47 +0100
