=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libsis-jhdf5-java
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
            Olivier Sallou <osallou@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Pierre Gruet <pgtdebian@free.fr>
+           Pierre Gruet <pgt@debian.org>
 Section: java
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -13,17 +14,18 @@
                ant,
                libcommons-lang3-java,
                libcommons-io-java,
-               libecj-java,
+               libeclipse-jdt-core-java,
+               libeclipse-jdt-compiler-apt-java,
                libjaxb-java,
-               libsis-base-java (>= 18.09~pre1),
+               libsis-base-java,
                libhdf5-dev,
-               libargs4j-java (>= 2.33),
+               libargs4j-java,
                junit4 <!nocheck>,
                testng <!nocheck>,
                libhamcrest-java,
                libjmock2-java <!nocheck>,
                libobjenesis-java
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/libsis-jhdf5-java
 Vcs-Git: https://salsa.debian.org/med-team/libsis-jhdf5-java.git
 Homepage: https://sissource.ethz.ch/sispub/jhdf5
