=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,9 @@
 %:
 	dh $@ --with javahelper
 
-override_dh_auto_clean:
-	dh_auto_clean
-	$(RM) source/c/libsis-jhdf5.so
-	$(RM) sis-jhdf5-h5ar-cli.jar
+override_dh_clean:
+	dh_clean
+	rm -rf targets test-output
 
 override_dh_auto_build:
 	dh_auto_build
